%define url_ver %(echo %{version}|cut -d. -f1,2)
%define upstream_name   mate-icon-theme-faenza

Name:             mate-faenza-icon-theme
Version:          1.6.0
Release:          %mkrel 2
Summary:          MATE Desktop faenza icon theme
Group:            Graphical desktop/MATE
# Add Atilla ÖNTAŞ creation of Mageia icon license which is derived from
# http://www.mageia.org/en/about/media/ svg format logo
# by Julie Guennegues
License:          GPLv2+ and Creative Commons Attribution-ShareAlike
URL:              http://mate-desktop.org
Source0:          http://pub.mate-desktop.org/releases/%{url_ver}/%{upstream_name}-%{version}.tar.xz
Source1:          distributor-logo-mageia.svg
Source2:          mageia22.png
Source3:          mageia24.png
BuildArch:        noarch

BuildRequires:    hicolor-icon-theme
BuildRequires:    inkscape

Requires(post):   gtk2 >= 2.6.0
Requires(postun): gtk2 >= 2.6.0
Requires:         mate-icon-theme
Requires:         mate-themes

%description
This package contains the Faenza and Faenza-Drak icon themes for MATE.
Addition of Mageia distribution icon.

%package dark
Summary:        MATE Desktop faenza icon theme, dark variant
Group:          Graphical desktop/MATE
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description dark
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%package gray
Summary:        MATE Desktop faenza icon theme, gray variant
Group:          Graphical desktop/MATE
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description gray
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%prep
%setup -q -n %{upstream_name}-%{version}

%build

%install
#Install Mageia icons and create symlinks:
install -m644 %{_sourcedir}/distributor-logo-mageia.svg matefaenza/places/scalable/distributor-logo-mageia.svg
install -m644 %{_sourcedir}/distributor-logo-mageia.svg matefaenza/places/scalable/start-here-mageia.svg

pushd matefaenza/places

matefaenza_dirs="22 24 32 48 64 96"
for svg in $matefaenza_dirs; do
   inkscape -z -e $svg/distributor-logo-mageia.png -w $svg -h $svg  \
     scalable/distributor-logo-mageia.svg
   rm -f $svg/{distributor-logo.png,start-here.png}
   cp $svg/distributor-logo-mageia.png $svg/distributor-logo.png
   cp $svg/distributor-logo-mageia.png $svg/start-here-mageia.png
done

popd

matefaenza_color_dirs="matefaenzadark matefaenzagray"
for i in $matefaenza_color_dirs; do
  install -m644 %{_sourcedir}/mageia22.png $i/places/22/start-here-mageia.png
  install -m644 %{_sourcedir}/mageia24.png $i/places/24/start-here-mageia.png
  rm -f $i/start-here.png
done

find matefaenza* -type d -exec chmod 755 {} \;
find matefaenza* -type f -exec chmod 644 {} \;

install -d -m 755 %{buildroot}%{_iconsdir}
cp -pr matefaenzadark matefaenzagray matefaenza %{buildroot}%{_iconsdir}

for icons in $matefaenza_dirs; do
   pushd %{buildroot}%{_iconsdir}/matefaenza/places/$icons
   ln -sf distributor-logo-mageia.png mageia-logo.png
   ln -sf distributor-logo-mageia.png start-here.png
   popd
done

pushd %{buildroot}%{_iconsdir}/matefaenza/places/scalable
ln -sf distributor-logo-mageia.svg mageia-logo-svg
popd

for i in $matefaenza_color_dirs; do
   pushd %{buildroot}%{_iconsdir}/$i/places/22/
   ln -sf start-here-mageia.png start-here.png
   popd
   pushd %{buildroot}%{_iconsdir}/$i/places/24/
   ln -sf start-here-mageia.png start-here.png
   popd
done

touch %{buildroot}%{_iconsdir}/matefaenza/icon-theme.cache
touch %{buildroot}%{_iconsdir}/matefaenzadark/icon-theme.cache
touch %{buildroot}%{_iconsdir}/matefaenzagray/icon-theme.cache

%files
%doc ChangeLog README COPYING
%{_iconsdir}/matefaenza/
%ghost %{_iconsdir}/matefaenza/icon-theme.cache

%files dark
%{_iconsdir}/matefaenzadark/
%ghost %{_iconsdir}/matefaenzadark/icon-theme.cache

%files gray
%{_iconsdir}/matefaenzagray/
%ghost %{_iconsdir}/matefaenzagray/icon-theme.cache



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531065
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442999
- imported package mate-faenza-icon-theme

